Index: /trunk/dports/devel/hs-platform-zlib/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-zlib/Portfile	(revision 98943)
+++ /trunk/dports/devel/hs-platform-zlib/Portfile	(revision 98944)
@@ -1,32 +1,25 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
-PortGroup	haskell 1.0
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
 
-haskell.setup	zlib 0.5.0.0
-name		hs-platform-zlib
-license		BSD
-maintainers	nomaintainer
-platforms	darwin
+haskellplatform.setup   zlib 0.5.3.3
+checksums               rmd160  fe83bf126867ab71afcc6ac8eb9afc0dddb44896 \
+                        sha256  e2adb6c55f5bc69eb1e931edcb2ef392ac96139cf6b6bca1b2a7229f381938c3
 
-description	The Haskell Zlib Binding
-long_description	\
-		Haskell bindings to the Zlib library for compression \
-                and decompression in gzip and zlib format.  The library \
-		acts directly on ByteString values.
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
 
-checksums	md5     22fa6d394c42c8584b234799b923f860 \
-		sha1    4a93e727a408754baf6ede0ed721863eb4ea0df2 \
-		rmd160  0ba0769d78b83b05726b15be55b10168db7d59bb
+depends_lib-append      port:zlib
 
-depends_lib	port:ghc	\
-		port:zlib
-
-universal_variant	no
-
-configure.args-append	-v --enable-library-profiling		\
-			--with-gcc=${configure.cc}
-
-build.args-append	-v
-
-livecheck.type	none
+description             \
+    This package provides a pure interface for compressing and decompressing \
+    streams of data represented as lazy ByteStrings. It uses the zlib C library \
+    so it has high performance. It supports the \"zlib\", \"gzip\" and \"raw\" \
+    compression formats.
+long_description        ${description} \
+    It provides a convenient high level API suitable for most tasks and for the \
+    few cases where more control is needed it provides access to the full zlib \
+    feature set.
